SYD-ASM(1)

# NAME

syd-asm - disassemble raw CPU instructions from standard input

# SYNOPSIS

*syd-asm* _[-h]_ _[-a arch]_

*syd-asm* _[-h]_ _-a list_

# DESCRIPTION

*syd-asm* reads CPU instructions as raw bytes or hexadecimal encoded
from standard input and disassembles them. The disassembled instructions
are printed in JSON format as one instruction per-line. The disassembly
is done natively for architectures *x86*, *x86_64*, *x32*, *arm*,
*aarch64*, and *riscv64* and falls back to GNU _objdump_(1) for other
architectures. There's no support for LLVM _objdump_(1) yet.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-a*
:< Specify alternative architecture, such as *x86*, *x86_64* and *aarch64*.
|[
:< Use *list* to print the list of libseccomp supported architectures.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _syd_(7), _objdump_(1)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
