SYD-ENV(1)

# NAME

syd-env - run a command with the environment of the process with the given PID

# SYNOPSIS

*syd-env* pid [-i] [name=value]... {command [arg...]}

*syd-env* -e <eval-str>

# DESCRIPTION

*syd-env* utility runs a command with the environment of the process with the
given PID. It is similar to the _env_(1) utility except it allows picking the
environment of an arbitrary process.

Given "-e" with a string argument, *syd-env* performs environment
expansion and command substitution using _wordexp_(3).

# SECURITY

_wordexp_(3) child process is executed in a confined environment with a
timeout of 3 seconds. Confinement is done using Landlock, namespaces and
seccomp.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _env_(1), _wordexp_(3)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
