SYD-HEX(1)

# NAME

syd-hex - Hex-encode/decode the given file or standard input

# SYNOPSIS

*syd-hex* _[-hdeflsC]_ _<file|->_

# DESCRIPTION

Given a file, hex-encode the file and print.

Given no positional arguments or "-" as argument, hex-encode standard input and print.

Use *-d* to hex-decode rather than encode.

Use *-s* with *-d* to hex-decode data with newline-delimited chunks.

Use *-C* with *-s* to warn and continue in case of read or encoding errors.

Use *-f* to force print decoded hex to TTY (insecure). By default,
decoded hex output is _not_ written to standard output if it's attached
to a TTY.

Use *-l* <human-size> to exit after size bytes are read.

Use *-l* <line-count> with *-s* to exit after count lines are read.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-d*
:< Hex-decode.
|[ *-e*
:< Hex-encode (default).
|[ *-f*, *--force-tty*
:< Force output to TTY (insecure).
|[ *-l* _<human-size>_
:< Exit after size bytes are read.
|[ *-l* _<line-count>_
:< Exit after count lines are read in stream mode.
|[ *-s*, *--stream*
:< Enable stream mode with *-d* when data is hex-decoded with newline-delimited chunks.
|[ *-C*, *--continue-on-failure*
:< Continue in case of read or encoding errors in stream mode.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _tty_(1)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
