SYD-LOAD(1)

# NAME

syd-load - Load a dynamic library like Syd for testing

# SYNOPSIS

*syd-load* _[-hms]_ _{library.so}_

# DESCRIPTION

*syd-load* utility loads the given dynamic library and runs the function
"syd_main" in it. The library is loaded in the parent and executed in the child
like Syd does. Optionally, Memory-Deny-Write-Execute protections may be
enabled. These protections are identical to what syd applies by default.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-m*
:< Enable Memory-Deny-Write-Execute protections (using _prctl_(2) PR_SET_MDWE).
|[ *-s*
:< Enable Memory-Deny-Write-Execute protections (using seccomp).

# BUGS

This tool panics on most errors rather than handling them gracefully.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _prctl_(2), _seccomp_(2)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
