SYD-PATH(1)

# NAME

syd-path - Write Integrity Force rules for binaries and list executables under PATH

# SYNOPSIS

*syd-path* _[-h1235cCeklmpsw]_

# DESCRIPTION

Write Integrity Force rules for binaries under PATH.

If at least one of the various *-e* options is specified, list
executables with specified information under PATH.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-c*
:< Calculate CRC64 checksum (insecure).
|[ *-C*
:< Calculate CRC32 checksum (insecure).
|[ *-m*
:< Calculate MD5 checksum (insecure, portage/paludis vdb compat).
|[ *-1*
:< Calculate SHA1 checksum (insecure).
|[ *-2*
:< Calculate SHA3-256 checksum.
|[ *-3*
:< Calculate SHA3-384 checksum.
|[ *-5*
:< Calculate SHA3-512 checksum (default).
|[ *-k*
:< Use action kill (default).
|[ *-w*
:< Use action warn.
|[ *-l* *num*
:< Limit by number of entries.
|[ *-p* *path*
:< Specify alternative PATH.
|[ *-s*
:< Prefix rules with "/dev/syd/".
|[ *-e32*
:< List 32-bit ELF executables under PATH (conflicts with *-e64*).
|[ *-e64*
:< List 64-bit ELF executables under PATH (conflicts with *-e32*).
|[ *-ed*
:< List dynamically linked ELF executables under PATH (conflicts with *-es*).
|[ *-es*
:< List statically linked ELF executables under PATH (conflicts with *-ed*).
|[ *-ep*
:< List PIE executables under PATH (conflicts with *-eP*).
|[ *-eP*
:< List non-PIE executables under PATH (conflicts with *-ep*).
|[ *-ex*
:< List scripts under PATH.
|[ *-eX*
:< List binaries with executable stack under PATH.

# BUGS

This tool will skip any failure silently.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
